import {CoreEntity} from "src/core/core.entity";
import {Column, Entity} from "typeorm";

@Entity("hero_section_slider")
export class HeroSectionSliderEntity extends CoreEntity {
    @Column({default: null, nullable: true})
    sectionHeader: string;

    @Column({default: null, nullable: true})
    sectionTitle: string;

    @Column({default: null, nullable: true, type: "longtext"})
    sectionSubTitle: string;

    @Column({default: null, nullable: true})
    buttonText: string;

    @Column({default: null, nullable: true})
    buttonLink: string;

    @Column({default: null, nullable: true})
    image: string;
}
