import {CoreEntity} from "src/core/core.entity";
import {Column, Entity} from "typeorm";

@Entity('shipping_methods')
export class ShippingMethods extends CoreEntity {
    @Column()
    name: string;

    @Column({type: "longtext", default: null, nullable: true})
    description: string;

    @Column({type: "decimal", precision: 10, scale: 2, default: 0, nullable: true})
    price: number;
}
