import { CoreEntity } from "src/core/core.entity";
import { Column, Entity } from "typeorm";

@Entity('coupon')
export class Coupon extends CoreEntity {
    @Column()
    couponCode: string;

    @Column()
    couponName: string;

    @Column()
    couponType: string;

    @Column()
    discount: string;

    @Column()
    expireDate: Date;

    @Column({ default: 0, nullable: true })
    cuponUsedTotal: number;
 }
