import { IsNotEmpty } from 'class-validator';

export class CreateReturnProductAdminDto {
  @IsNotEmpty()
  orderId: string;

  @IsNotEmpty()
  customerId: string;

  @IsNotEmpty()
  customerName: string;

  @IsNotEmpty()
  productId: string;

  @IsNotEmpty()
  productName: string;

  @IsNotEmpty()
  quantity: number;

  @IsNotEmpty()
  actualPrice: number;

  @IsNotEmpty()
  totalPrice: number;

  @IsNotEmpty()
  note: string;

  @IsNotEmpty()
  status: string;
}
